(function ($) {
	var
	defaults = {
		className: 'autosizejs',
		append: "",
		callback: false
	},
	hidden = 'hidden',
	borderBox = 'border-box',
	lineHeight = 'lineHeight',


	copy = '<textarea tabindex="-1" style="position:absolute; top:-9999px; left:-9999px; right:auto; bottom:auto; border:0; -moz-box-sizing:content-box; -webkit-box-sizing:content-box; box-sizing:content-box; word-wrap:break-word; height:0 !important; min-height:0 !important; overflow:hidden;"/>',
	
	copyStyle = [
		'fontFamily',
		'fontSize',
		'fontWeight',
		'fontStyle',
		'letterSpacing',
		'textTransform',
		'wordSpacing',
		'textIndent'
	],
	oninput = 'oninput',
	onpropertychange = 'onpropertychange',
	

	mirrored,

	// Зеркало элемент, который используется для вычисления размера элемента должна быть зеркальной.
	mirror = $(copy).data('autosize', true)[0];

	mirror.style.lineHeight = '99px';
	if ($(mirror).css(lineHeight) === '99px') {
		copyStyle.push(lineHeight);
	}
	mirror.style.lineHeight = '';

	$.fn.autosize = function (options) {
		options = $.extend({}, defaults, options || {});

		if (mirror.parentNode !== document.body) {
			$(document.body).append(mirror);
		}

		return this.each(function () {
			var
			ta = this,
			$ta = $(ta),
			minHeight = $ta.height(),
			maxHeight = parseInt($ta.css('maxHeight'), 10),
			active,
			resize,
			boxOffset = 0,
			value = ta.value,
			callback = $.isFunction(options.callback);

			if ($ta.data('autosize')) {
				// выйти, если авторазмер уже применяется, или, если текстовое поле является зеркальным элементом.
				return;
			}

			if ($ta.css('box-sizing') === borderBox || $ta.css('-moz-box-sizing') === borderBox || $ta.css('-webkit-box-sizing') === borderBox){
				boxOffset = $ta.outerHeight() - $ta.height();
			}

			resize = $ta.css('resize') === 'none' ? 'none' : 'horizontal';

			$ta.css({
				overflow: hidden,
				overflowY: hidden,
				wordWrap: 'break-word',
				resize: resize
			}).data('autosize', true);


			maxHeight = maxHeight && maxHeight > 0 ? maxHeight : 9e4;

			function initMirror() {
				mirrored = ta;
				mirror.className = options.className;

// Зеркало дубликат текстовой находится вне экрана, что
// Автоматически обновляется, чтобы содержать тот же текст,
// Оригинальные текстовое поле. Зеркало всегда имеет высоту 0.
// Это дает кросс-браузерный поддерживаемый способ получения фактических
// Высота текста, через scrollTop собственности.

				$.each(copyStyle, function(i, val){
					mirror.style[val] = $ta.css(val);
				});
			}

// Использование основном голые JS в эту функцию, потому что она собирается
// Стрелять очень часто во время набора текста, и нуждается в очень эффективна.
			function adjust() {
				var height, overflow, original;

				if (mirrored !== ta) {
					initMirror();
				}

// Флаг активности сохраняет IE от отключения всего над собой. в противном случае
// Действия в настроечном функция вызовет IE позвонить отрегулировать снова.
				if (!active) {
					active = true;
					mirror.value = ta.value + options.append;
					mirror.style.overflowY = ta.style.overflowY;
					original = parseInt(ta.style.height,10);


					mirror.style.width = $ta.width() + 'px';


					mirror.scrollTop = 0;
					mirror.scrollTop = 9e4;
					height = mirror.scrollTop;

					if (height > maxHeight) {
						height = maxHeight;
						overflow = 'scroll';
					} else if (height < minHeight) {
						height = minHeight;
					}
					height += boxOffset;
					ta.style.overflowY = overflow || hidden;

					if (original !== height) {
						ta.style.height = height + 'px';
						if (callback) {
							options.callback.call(ta);
						}
					}
					setTimeout(function () {
						active = false;
					}, 1);
				}
			}

			if (onpropertychange in ta) {
				if (oninput in ta) {
					ta[oninput] = ta.onkeyup = adjust;
				} else {
					ta[onpropertychange] = adjust;
				}
			} else {
				ta[oninput] = adjust;
				ta.value = '';
				ta.value = value;
			}

			$(window).resize(adjust);

			$ta.bind('autosize', adjust);

			adjust();
		});
	};
}(window.jQuery || window.Zepto));


/*
Генерация пороля
*/


function getPass( object, object2 ){
   var i, interval, words = "";

   words += "qwertyuiopasdfghjklzxcvbnm";
   words += "QWERTYUIOPASDFGHJKLZXCVBNM";
   words += "1234567890";

   var obj = document.getElementById(object);
   var obj2 = document.getElementById(object2);

   var objj = document.createElement("input");
   var objj2 = document.createElement("input");

   objj.size=obj.size;
   objj.className=obj.className;
   objj.id=obj.id;
   objj.name=obj.name;
   objj.type="text";

   objj2.size=obj2.size;
   objj2.className=obj2.className;
   objj2.id=obj2.id;
   objj2.name=obj2.name;
   objj2.type="text";

   obj.parentNode.replaceChild(objj,obj);
   obj2.parentNode.replaceChild(objj2,obj2);

   var new_word_timeout = 100; // время между появлением новых букв.
   var word_timeout = 10; // время между сменой букв
   var word_count = 10; // количество букв

   new function(){
       this.getNextWord = function(){
           objj.value += " ";
           objj2.value += " ";
       }
       this.getWord = function(){
           objj.value = objj.value.substring( 0, objj.value.length - 1 ) + words.charAt( getRand( 0, words.length -1 ) );
	   objj2.value = objj.value;
       }
       this.stop = function(){
           clearInterval( interval );
       }
       for( i = 0; i < word_count; i ++ ){
           setTimeout( this.getNextWord, i * new_word_timeout );
       }
       interval = setInterval( this.getWord, word_timeout );
       setTimeout( this.stop, new_word_timeout * word_count );
   }
}

function getRand( min, max ){
   return Math.round( Math.random( ) * ( max - min ) ) + min;
}
/*
 * INPUT CHECKBOX
 * By Shamsik
 * Copyright © 2012-2013 SHCMS Engine.
*/
(function($) {
		$(function() {

			$('input.styled').checkbox();

			$('#add').click(function() {
				var inputs = '';
				for (i = 1; i <= 5; i++) {
					inputs += '<br /><label><input type="checkbox" name="checkbox" class="styled" /> checkbox ' + i + '</label>';
				}
				$('form').append(inputs);
				$('input.styled').checkbox();
				return false;
			})

			$('#disabled').click(function() {
				(function($) {
					$.fn.toggleDisabled = function() {
						return this.each(function() {
							this.disabled = !this.disabled;
						});
					};
				})(jQuery);
				$('input.styled').toggleDisabled().trigger('refresh');
				return false;
			})

			$('#checked').click(function() {
				(function($) {
					$.fn.toggleChecked = function() {
						return this.each(function() {
							this.checked = !this.checked;
						});
					};
				})(jQuery);
				$('input.styled').toggleChecked().trigger('refresh');
				return false;
			})

		})
		})(jQuery)
		
		var $j = jQuery.noConflict();

$j(document).ready(function() {

	/* === настройки === */
	var author_id   = '#author';  // ID поля имени автора, решетка перед ID обязательна
	var url_id      = '#url';     // ID поля ссылки, решетка перед ID обязательна
	var comment_id  = '#text'; // ID поля комментария, решетка перед ID обязательна
	var avatar_link = 'http://www.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=32'; // ссылка на аватар
	var show_avatar = 1 // 1 - показывать аватар, 0 - не показывать
	/* === конец настроек  === */

	$j(comment_id).one('focus',function() {
		$j(comment_id).parent().after('<div id="comment-preview-block"><div class="maintitle mainrazd">Предпросмотр комментария:</div><div id="comment-preview">'+ avatar +'<div><strong id="preview-author"></strong>&nbsp;<strong>Ваш текст:</strong></div><div id="ctext"></div></div></div>');
		if (url == '') {
			$j('#preview-author').replaceWith('<strong id="preview-url">'+ author +'</strong>');
		}
	});

	var avatar = '';
	if (show_avatar == 1) avatar = '<img src="'+ avatar_link +'" alt="" class="jquery_avatar " />';

	var author = $j(author_id).val();
	$j(author_id).blur(function() {
		$j('#preview-url').replaceWith('<strong id="preview-author"></strong>');
		author = $j(this).val();
		$j('#preview-author').html(author);
		if (url != '') {
			$j('#preview-author').html('<a href="'+ url +'">'+ author +'</a>');
		}
	});

	var url = $j(url_id).val();
	$j(url_id).blur(function() {
		$j('#preview-author').replaceWith('<strong id="preview-url"><a href=""></a></strong>');
		url = $j(this).val();
		$j('#preview-url a').attr({href : url});
		$j('#preview-url a').html(author);
		if (url == '') {
			$j('#preview-url').replaceWith('<strong id="preview-author"></strong>');
			$j('#preview-author').html(author);
		}
	});

	var text = '';
	$j(comment_id).keyup(function() {
		text = $j(this).val();
		text = text.replace(/(<\/?)script/g,'$1noscript')
		.replace(/(<blockquote[^>]*>)/g, '\n$1')
		.replace(/(<\/blockquote[^>]*>)/g, '$1\n')
		.replace(/\r\n/g, '\n')
		.replace(/\[b\](.+?)\[\/b\]/g, '<strong>$1</strong>')  
        .replace(/\[i\](.+?)\[\/i\]/g, '<i>$1</i>')  
        .replace(/\[s\](.+?)\[\/s\]/g, '<s>$1</s>')  
        .replace(/\[u\](.+?)\[\/u\]/g, '<u>$1</u>')  
		.replace(/\[url=(.+?)\]/g, '<a href="$1" target="_blank">')  
        .replace(/\[\/url\]/g, '</a>')  
        .replace(/\[leech=(.+?)\]/g, '<a href="$1" target="_blank">')  
        .replace(/\[\/leech\]/g, '</a>')  
        .replace(/\[img\](.+?)\[\/img\]/g, '<img src="$1" alt="" title="" />')  
        .replace(/\[email=(.+?)\]/g, '<a href="mailto:$1">')  
        .replace(/\[\/email\]/g, '</a>')  
        .replace(/\[color=(.+?)\]/g, '<span style="color:$1">')  
        .replace(/\[\/color\]/g, '</span>')  
        .replace(/\[quote=(.+?)\]/g, '<div class="title_quote">Цитата: $1</div><div class="quote">')  
        .replace(/\[quote\](.+?)/g, '</div><div class="quote">$1')  
        .replace(/\[\/quote\]/g, '</div>')  
        .replace(/\[spoiler=(.+?)\]/g, '<div class="title_spoiler"><a href="\#">$1</a></div><div class="text_spoiler">')  
        .replace(/\[spoiler\](.+?)/g, '<div class="title_spoiler"><a href="\#">Спойлер</a></div><div class="text_spoiler">$1')  
        .replace(/\[\/spoiler\]/g, '</div>')  
    	.replace(/\[code\](.+?)\[\/code\]/g, 'предпросмотр исходного кода пока недоступен')  
    	.replace(/\s*\n\s*/g, '<br />')  
		.replace(/\r/g, '\n')
		.replace(/\n\n+/g, '\n\n')
		.replace(/\n?(.+?)(?:\n\s*\n)/g, '<p>$1</p>')
		.replace(/<p>\s*?<\/p>/g, '')
		.replace(/<p>\s*(<\/?blockquote[^>]*>)\s*<\/p>/g, '$1')
		.replace(/<p><blockquote([^>]*)>/ig, '<blockquote$1><p>')
		.replace(/<\/blockquote><\/p>/ig, '<p></blockquote>')
		.replace(/<p>\s*<blockquote([^>]*)>/ig, '<blockquote$1>')
		.replace(/<\/blockquote>\s*<\/p>/ig, '</blockquote>')
		.replace(/\s*\n\s*/g, '<br />');
		$j('#ctext').html(text);
	});

})